package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.OrgSector;
import com.sa.ibiz.demo.demo.service.dto.OrgSectorSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[OrgSector] 服务对象接口
 */
public interface OrgSectorService extends IService<OrgSector>{

	boolean create(OrgSector et);
	boolean remove(OrgSector et);
		OrgSector initUserObject(OrgSector et);
	boolean update(OrgSector et);
		OrgSector get(OrgSector et);
	boolean getDraft(OrgSector et);
	boolean checkKey(OrgSector et);
    List<OrgSector> listUserOrg(OrgSectorSearchFilter filter) ;
	Page<OrgSector> searchUserOrg(OrgSectorSearchFilter filter);
    List<OrgSector> listDefault(OrgSectorSearchFilter filter) ;
	Page<OrgSector> searchDefault(OrgSectorSearchFilter filter);
    List<OrgSector> listCurChild(OrgSectorSearchFilter filter) ;
	Page<OrgSector> searchCurChild(OrgSectorSearchFilter filter);
    List<OrgSector> listUserOrgSector(OrgSectorSearchFilter filter) ;
	Page<OrgSector> searchUserOrgSector(OrgSectorSearchFilter filter);
    List<OrgSector> listOrgRoot(OrgSectorSearchFilter filter) ;
	Page<OrgSector> searchOrgRoot(OrgSectorSearchFilter filter);
    List<OrgSector> listCurOrg(OrgSectorSearchFilter filter) ;
	Page<OrgSector> searchCurOrg(OrgSectorSearchFilter filter);
	/**	 实体[OrgSector] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }